# Class ChimeraUtil

java.lang.Object
picard.analysis.ChimeraUtil

public class ChimeraUtil extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static Set<htsjdk.samtools.SamPairUtil.PairOrientation>`
`DEFAULT_EXPECTED_ORIENTATIONS`
`static int`
`DEFAULT_INSERT_SIZE_LIMIT`

## Constructor Summary

Constructors
Constructor
Description
`ChimeraUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isChimeric(htsjdk.samtools.SAMRecord rec, int maxInsertSize, Set<htsjdk.samtools.SamPairUtil.PairOrientation> expectedOrientations)`
Checks whether the given read is part of a chimeric pair.
`static boolean`
`isChimeric(htsjdk.samtools.SAMRecord r1, htsjdk.samtools.SAMRecord r2, int maxInsertSize, Set<htsjdk.samtools.SamPairUtil.PairOrientation> expectedOrientations)`
Checks whether the given read is part of a chimeric pair.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_INSERT_SIZE_LIMIT

public static int DEFAULT_INSERT_SIZE_LIMIT

### DEFAULT_EXPECTED_ORIENTATIONS

public static Set<htsjdk.samtools.SamPairUtil.PairOrientation> DEFAULT_EXPECTED_ORIENTATIONS

## Constructor Details

### ChimeraUtil

public ChimeraUtil()

## Method Details

### isChimeric

public static boolean isChimeric(htsjdk.samtools.SAMRecord rec, int maxInsertSize, Set<htsjdk.samtools.SamPairUtil.PairOrientation> expectedOrientations)
Checks whether the given read is part of a chimeric pair. Note that this method returns false if the read is unpaired or if either end of the pair is unmapped.

Parameters:
  `rec` - the read
  `maxInsertSize` - max insert size to be considered non-chimeric
  `expectedOrientations` - set of orientations that are not chimeric; must not ne null
Returns:
  true if this record is part of a chimeric read pair, false otherwise

### isChimeric

public static boolean isChimeric(htsjdk.samtools.SAMRecord r1, htsjdk.samtools.SAMRecord r2, int maxInsertSize, Set<htsjdk.samtools.SamPairUtil.PairOrientation> expectedOrientations)
Checks whether the given read is part of a chimeric pair. Note that this method returns false if either end of the pair is unmapped.

Parameters:
  `r1` - first read of the pair
  `r2` - second read of the pair
  `maxInsertSize` - max insert size to be considered non-chimeric
  `expectedOrientations` - set of orientations that are not chimeric
Returns:
  true if this pair is chimeric, false otherwise